## filemanager-actions 3.4

=== debian/changelog ===
filemanager-actions (3.4-2) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Update debian/gbp.conf

  [ Carlos Maddela ]
  * Rename extensions to have a -fma suffix instead of an fma- prefix.
  * Build with Debhelper compat level 12.
  * Stop installing .la files.
  * Move all documentation to -doc package.
    Not adding extra Breaks or Replaces details since version 3.4-1
    has not been formally released.
  * Add support for terse build option.
  * Drop backing up and restoration of files changed during build.
    This breaks idempotent builds.

 -- Carlos Maddela <e7appew@gmail.com>  Sun, 10 Feb 2019 14:27:44 +1100

filemanager-actions (3.4-1) unstable; urgency=medium

  * Initial release (Closes: #907623)

 -- Carlos Maddela <e7appew@gmail.com>  Sun, 30 Dec 2018 04:28:19 +1100
