=== debian/tests/control ===
Tests: appstream-ready
Depends: filemanager-actions
