=== debian/watch ===
version=4
opts="pgpmode=none" \
    https://download.gnome.org/sources/@PACKAGE@/([\d\.]+)/ \
        @PACKAGE@@ANY_VERSION@\.tar\.xz
